package com.goafanti.common.dao;

import com.goafanti.common.model.TOrderTask;
import com.goafanti.common.model.TaskTime;

import java.util.List;

public interface TaskTimeMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TaskTime record);

    int insertSelective(TaskTime record);

    TaskTime selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaskTime record);

    int updateByPrimaryKey(TaskTime record);

    int updateByTidAndProjectSelective(TaskTime tt);

    List<TaskTime> selectByTidAndProject(TaskTime tt);

    List<TOrderTask> getAllTimeRecord();

    void insertBatch(List<TaskTime> addList);
}
